char tetrom_colors[7];

short block_chars[2];
short bgdot;

void draw_tetris_logo(int x, int y);

#ifdef TWOPLAYER
int board_x(int pl, int col);
#else
#define board_x(pl, col) (2*col+11)
#endif
void next_xy(int pl, int *x, int *y);

void drawgamescreen_1p();
#ifdef TWOPLAYER
void drawgamescreen_2p();
#endif
void print_press_key();

/* tetris.h should be included before */
#ifdef tetris_h

void drawnext(const struct player *p, const struct tetr *next);

enum drawmode {
	DRAW_PIECE,
	DRAW_BLOCKS,
	CLEAR_BLOCKS
};

/* x and y here means column and row in the player's playfield */

void drawblocks(const struct player *p, int bl, int x, int y,
		enum drawmode mode);
#define drawpiece(plr, bl, x, y)   drawblocks(plr, bl, x, y, DRAW_PIECE)
#define clearblocks(plr, bl, x, y) drawblocks(plr, bl, x, y, CLEAR_BLOCKS)

void drawrow(const struct player *p, int y);

/* redraw row y and all rows above */
void redrawboard(const struct player *p, int y);

void clearboard_paused();
void upd_stat(const struct player *p, int levelup);
#ifdef TWOPLAYER
void upd_garbagemeter(const struct player *p, int n);
void show_winner(const struct player *p);
#endif

#endif /* tetris_h */

void drawbox(int x, int y, int w, int h, const char *title);
void clearbox(int x, int y, int w, int h);

#ifdef TWOPLAYER
void draw_2p_menu_decor(int pl, int x, int y);
#endif

void upd_screen(int win);
