#define DEL 0x7F
#define BACKSPACE '\b'

#ifndef CURSES
typedef char keytp;
#else
typedef int keytp;
#endif

#ifndef CURSES
/* reads characters resulting from a keypress into dest -
   at most 5 bytes (including null-byte) are copied */
int term_readkey(char *dest);
#else
/* returns curses-interpreted key as an int */
int term_readkey_int();
#endif

/* get translated keypress */
int term_getkeypress(int flags);

void term_setmapping(const keytp *input, int keypress);

#ifndef CURSES
int term_getkeyfor(int keypress, char *dest, int fallback);
#endif
/* returns 0 if key is escape sequence */
int term_getkeyfor_int(int keypress, int fallback);

void term_rmmapping(int keypress);

#ifndef CURSES
void free_escape_sequences();
#else
#define free_escape_sequences()
#endif
